%{?mingw_package_header}

Name:           mingw-wavpack
Version:        5.8.1
Release:        %mkrel 1
Summary:        Completely open audiocodec
Group:          Development/Other
License:        BSD
URL:            https://www.wavpack.com/
Source:         https://www.wavpack.com/wavpack-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc

%description
WavPack is a completely open audio compression format providing lossless,
high-quality lossy, and a unique hybrid compression mode. Although the
technology is loosely based on previous versions of WavPack, the new
version 4 format has been designed from the ground up to offer unparalleled
performance and functionality.


%package -n mingw32-wavpack
Summary:        Completely open audiocodec
Group:          Development/Other

%description -n mingw32-wavpack
WavPack is a completely open audio compression format providing lossless,
high-quality lossy, and a unique hybrid compression mode. Although the
technology is loosely based on previous versions of WavPack, the new
version 4 format has been designed from the ground up to offer unparalleled
performance and functionality.

This package is MinGW compiled wavpack library for the Win32 target.


%package -n mingw32-wavpack-tools
Summary:        Completely open audiocodec tools
Group:          Development/Other
Requires:       mingw32-wavpack = %{version}-%{release}

%description -n mingw32-wavpack-tools
WavPack is a completely open audio compression format providing lossless,
high-quality lossy, and a unique hybrid compression mode. Although the
technology is loosely based on previous versions of WavPack, the new
version 4 format has been designed from the ground up to offer unparalleled
performance and functionality.
qmidinet
This package is MinGW compiled wavpack tools for the Win32 target.


%package -n mingw64-wavpack
Summary:        Completely open audiocodec
Group:          Development/Other

%description -n mingw64-wavpack
WavPack is a completely open audio compression format providing lossless,
high-quality lossy, and a unique hybrid compression mode. Although the
technology is loosely based on previous versions of WavPack, the new
version 4 format has been designed from the ground up to offer unparalleled
performance and functionality.

This package is MinGW compiled wavpack library for the Win64 target.


%package -n mingw64-wavpack-tools
Summary:        Completely open audiocodec tools
Group:          Development/Other
Requires:       mingw64-wavpack = %{version}-%{release}

%description -n mingw64-wavpack-tools
WavPack is a completely open audio compression format providing lossless,
high-quality lossy, and a unique hybrid compression mode. Although the
technology is loosely based on previous versions of WavPack, the new
version 4 format has been designed from the ground up to offer unparalleled
performance and functionality.

This package is MinGW compiled wavpack tools for the Win64 target.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n wavpack-%{version}


%build
%mingw_configure --disable-static
%mingw_make_build


%install
%mingw_make_install
# remove libtool files
rm -f %{buildroot}%{mingw32_libdir}/*.la
rm -f %{buildroot}%{mingw64_libdir}/*.la
# remove documentation (it's in the native version)
rm -rf %{buildroot}%{mingw32_docdir}
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_docdir}
rm -rf %{buildroot}%{mingw64_mandir}

%files -n mingw32-wavpack
%doc AUTHORS
%license COPYING
%dir %{mingw32_includedir}/wavpack
%{mingw32_bindir}/libwavpack-1.dll
%{mingw32_includedir}/wavpack/*.h
%{mingw32_libdir}/pkgconfig/*
%{mingw32_libdir}/libwavpack.dll.a

%files -n mingw32-wavpack-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-wavpack
%doc AUTHORS
%license COPYING
%dir %{mingw64_includedir}/wavpack
%{mingw64_bindir}/libwavpack-1.dll
%{mingw64_includedir}/wavpack/*.h
%{mingw64_libdir}/pkgconfig/*
%{mingw64_libdir}/libwavpack.dll.a

%files -n mingw64-wavpack-tools
%{mingw64_bindir}/*.exe


%changelog
* Sat Jun 28 2025 daviddavid <daviddavid> 5.8.1-1.mga10
+ Revision: 2216734
- new version: 5.8.1
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Nov 08 2022 neoclust <neoclust> 5.5.0-1.mga9
+ Revision: 1904758
- New version  5.5.0

* Mon Mar 21 2022 umeabot <umeabot> 5.4.0-2.mga9
+ Revision: 1814027
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 daviddavid <daviddavid> 5.4.0-1.mga9
+ Revision: 1690800
- new version: 5.4.0
- security fix for CVE-2020-35738

* Sat Sep 26 2020 tv <tv> 5.3.0-2.mga8
+ Revision: 1630279
- rebuild for new mingw stack

* Sun Apr 19 2020 daviddavid <daviddavid> 5.3.0-1.mga8
+ Revision: 1569573
- new version: 5.3.0

* Wed Feb 19 2020 daviddavid <daviddavid> 5.2.0-1.mga8
+ Revision: 1543021
- new version: 5.2.0
- remove merged upstream patches

* Wed Feb 19 2020 umeabot <umeabot> 5.1.0-4.mga8
+ Revision: 1542734
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 daviddavid <daviddavid> 5.1.0-3.mga8
+ Revision: 1476888
- add debian patches to fix CVE-2019-101031[5789] (mga#25265)
- add fedora patches to fix CVE-2019-11498

* Thu Sep 20 2018 umeabot <umeabot> 5.1.0-2.mga7
+ Revision: 1279934
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1244493
- imported package mingw-wavpack


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 21 2018 František Dvořák <valtri@civ.zcu.cz> - 5.1.0-4
- Security fix for CVE-2018-6767, CVE-2018-7253, and CVE-2018-7254

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 David King <amigadave@amigadave.com> - 5.1.0-1
- Update to 5.1.0 (#1420680)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.80.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr 21 2016 David King <amigadave@amigadave.com> - 4.80.0-1
- Update to 4.80.0 (#1329173)
- Use license macro for COPYING

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.70.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.70.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.70.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 17 2014 František Dvořák <valtri@civ.zcu.cz> - 4.70.0-1
- New release 4.70.0
- %%mingw_make_install macro deprecated

* Wed Feb 12 2014 František Dvořák <valtri@civ.zcu.cz> - 4.60.1-1
- Initial package
